PrimTux

La distribution éducative pour débutants et initiés.

Vous n'êtes pas identifié(e).

Annonce

CARTE DES MEMBRES POUVANT AIDER ET DES ÉCOLES SOUS PRIMTUX
Merci de vous y inscrire en nous envoyant un email si vous souhaitez y apparaître.

Les différentes isos de PrimTux4 sont disponibles, cliquez ici pour choisir votre version.
  • Pour être automatiquement informé des réponses à vos messages sur le forum, n'oubliez pas de cliquer sur "Suivre cette discussion" en bas de page. Mieux, en vous abonnant au flux RSS du forum, vous pourrez suivre tout nouveau message sur l'ensemble du forum.
  • En allant dans votre Profil, ligne "Vie privée", vous pouvez également cocher "Suivre automatiquement les sujets auxquels on a répondu.", vous n'aurez plus à cliquer sur "Suivre cette discussion" lorsque vous postez un message.
  • Abonnez-vous à la newsletter sur le site principal pour être informé des nouveaux paquets, nouvelles versions, bugs...

#1 15-01-2019 21:49:39

ideefixe
Modérateur
Lieu : Bourges
Inscription : 04-06-2015
Messages : 3 046

installation logiciels non libres bloquée

Après avoir installé PrimTux4-Debian9-AMD64-CTP
et mis à jour,
lorsque je clique dans le menu accueil en session administrateur, pour installer tous les logiciels non libres, je vois que la connexion à Debian.net ne se fait pas.
Cela bloque l'installation.

[sudo] Mot de passe de administrateur : 
Atteint:1 http://ppa.launchpad.net/jclic/master/ubuntu xenial InRelease
Atteint:2 http://ppa.launchpad.net/webupd8team/java/ubuntu xenial InRelease    
Atteint:3 http://depot.primtux.fr/repo/debs PrimTux2-Stretch64 InRelease       
Atteint:4 http://depot.primtux.fr/repo/debs PrimTux4-amd64 InRelease           
0% [Connexion à http.debian.net (2001:4f8:1:c::15)]  

ensuite, il se passe ceci :

Err:5 http://cdn-fastly.deb.debian.org/debian stretch InRelease                
  Erreur temporaire de résolution de « cdn-fastly.deb.debian.org »
Lecture des listes de paquets... Fait
W: Impossible de récupérer http://http.debian.net/debian/dists/stretch/InRelease  Erreur temporaire de résolution de « cdn-fastly.deb.debian.org »
W: Le téléchargement de quelques fichiers d'index a échoué, ils ont été ignorés, ou les anciens ont été utilisés à la place.
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
The following additional packages will be installed:
  activites-jclic-primtux atlas-houot-primtux avahi-daemon binfmt-support
  clicmenu-maxi-primtux clicmenu-mini-primtux clicmenu-super-primtux
  exercices-beaunis-primtux exercices-free-primtux exooos-aleccor-primtux
  fastjar gcompris-qt-primtux geogebra5 gtk2-engines-murrine:i386
  iqpuzzle:i386 jarwrapper jclicpuzzle-primtux jecompte-primtux
  jelisavecbiba-primtux kiwix-vikidia-primtux:i386 lacourseauxnombres-primtux
  le-conjugueur-linux:i386 libavahi-core7 libcanberra-gtk-module:i386
  libcanberra-gtk0:i386 libcanberra0:i386 libdaemon0 libgnome-keyring0:i386
  libgstreamer-plugins-base1.0-0:i386 libgstreamer1.0-0:i386 libnss-mdns:i386
  liborc-0.4-0:i386 libpcap0.8 libqt4-designer:i386 libqt4-qt3support:i386
  libtdb1:i386 libvorbisfile3:i386 libwine-development
  libwine-development:i386 libxaw7:i386 libxpm4:i386 libxslt1.1:i386
  matou-matheux-primtux ocl-icd-libopencl1 pepit-primtux primaths-primtux
  raconte-moi-primtux scratch2-primtux:i386 tbisuite-primtux
  tuxbot-primtux:i386 wine-development wine32-development:i386
  wine64-development
Paquets suggérés :
  avahi-autoipd icedtea-netx-common libcanberra-pulse:i386
  libvisual-0.4-plugins:i386 gstreamer1.0-tools:i386 avahi-autoipd:i386
  | zeroconf:i386 cups-bsd ttf-mscorefonts-installer cups-bsd:i386
  ttf-mscorefonts-installer:i386 opencl-icd visualvm ttf-baekmuk | ttf-unfonts
  | ttf-unfonts-core ttf-kochi-gothic | ttf-sazanami-gothic ttf-kochi-mincho
  | ttf-sazanami-mincho ttf-arphic-uming firefox | firefox-2 | iceweasel
  | mozilla-firefox | iceape-browser | mozilla-browser | epiphany-gecko
  | epiphany-webkit | epiphany-browser | galeon | midbrowser
  | moblin-web-browser | xulrunner | xulrunner-1.9 | konqueror
  | chromium-browser | midori | google-chrome winbind winetricks playonlinux
  wine-binfmt dosbox libwine-gecko-2.47:i386 wine32-development-preloader:i386
  libwine-gecko-2.47 wine64-development-preloader
Paquets recommandés :
  libnss-mdns murrine-themes:i386 gstreamer1.0-plugins-base:i386 libodbc1
  libosmesa6 fonts-wine libgsm1:i386 libodbc1:i386 libosmesa6:i386
  libgl1-mesa-dri:i386 libasound2-plugins:i386 fonts-wine:i386 gsfonts-x11
Les NOUVEAUX paquets suivants seront installés :
  activites-jclic-primtux appliplanet-primtux ardora-primtux
  atlas-houot-primtux avahi-daemon binfmt-support clicmenu-maxi-primtux
  clicmenu-mini-primtux clicmenu-super-primtux exercices-beaunis-primtux
  exercices-free-primtux exooos-aleccor-primtux fastjar flash-primtux
  gcompris-qt-primtux geogebra5 gtk2-engines-murrine:i386
  instrumentpoche-primtux iqpuzzle:i386 jarwrapper jclicpuzzle-primtux
  jecompte-primtux jelisavecbiba-primtux kiwix-vikidia-primtux:i386
  lacourseauxnombres-primtux le-conjugueur-linux:i386 libavahi-core7
  libcanberra-gtk-module:i386 libcanberra-gtk0:i386 libcanberra0:i386
  libdaemon0 libdvdcss2 libgnome-keyring0:i386
  libgstreamer-plugins-base1.0-0:i386 libgstreamer1.0-0:i386 libnss-mdns:i386
  liborc-0.4-0:i386 libpcap0.8 libqt4-designer:i386 libqt4-qt3support:i386
  libtdb1:i386 libvorbisfile3:i386 libwine-development
  libwine-development:i386 libxaw7:i386 libxpm4:i386 libxslt1.1:i386
  logiciels-primtux-maxi logiciels-primtux-mini logiciels-primtux-super
  matou-matheux-primtux ocl-icd-libopencl1 oracle-java8-installer
  oracle-java8-set-default pepit-primtux photofiltre-primtux
  polices-ecole-primtux primaths-primtux raconte-moi-primtux
  scratch2-primtux:i386 tbisuite-primtux tuxbot-primtux:i386 wine-development
  wine32-development:i386 wine64-development xnview
0 mis à jour, 66 nouvellement installés, 0 à enlever et 0 non mis à jour.
Il est nécessaire de prendre 49,3 Mo/3 187 Mo dans les archives.
Après cette opération, 4 965 Mo d'espace disque supplémentaires seront utilisés.
Souhaitez-vous continuer ? [O/n] o
Réception de:1 http://cdn-fastly.deb.debian.org/debian stretch/main amd64 libdaemon0 amd64 0.14-6 [17,5 kB]
Réception de:2 http://cdn-fastly.deb.debian.org/debian stretch/main amd64 libavahi-core7 amd64 0.6.32-2 [113 kB]
Réception de:3 http://cdn-fastly.deb.debian.org/debian stretch/main amd64 avahi-daemon amd64 0.6.32-2 [90,6 kB]
Réception de:4 http://cdn-fastly.deb.debian.org/debian stretch/main amd64 binfmt-support amd64 2.1.6-2 [59,5 kB]
Réception de:5 http://cdn-fastly.deb.debian.org/debian stretch/main amd64 libpcap0.8 amd64 1.8.1-3 [138 kB]
Réception de:6 http://cdn-fastly.deb.debian.org/debian stretch/main amd64 ocl-icd-libopencl1 amd64 2.2.11-1 [36,8 kB]
Réception de:7 http://cdn-fastly.deb.debian.org/debian stretch/main amd64 libwine-development amd64 2.0-3+b2 [19,6 MB]
Réception de:8 http://cdn-fastly.deb.debian.org/debian stretch/main amd64 wine64-development amd64 2.0-3+b2 [260 kB]
Réception de:9 http://cdn-fastly.deb.debian.org/debian stretch/main i386 libgstreamer1.0-0 i386 1.10.4-1 [1 991 kB]
Réception de:10 http://cdn-fastly.deb.debian.org/debian stretch/main i386 liborc-0.4-0 i386 1:0.4.26-2 [152 kB]
Réception de:11 http://cdn-fastly.deb.debian.org/debian stretch/main i386 libgstreamer-plugins-base1.0-0 i386 1.10.4-1 [1 667 kB]
Réception de:12 http://cdn-fastly.deb.debian.org/debian stretch/main i386 libwine-development i386 2.0-3+b2 [18,8 MB]
Réception de:13 http://cdn-fastly.deb.debian.org/debian stretch/main i386 wine32-development i386 2.0-3+b2 [250 kB]
Réception de:14 http://cdn-fastly.deb.debian.org/debian stretch/main amd64 wine-development all 2.0-3 [125 kB]
Réception de:15 http://cdn-fastly.deb.debian.org/debian stretch/main amd64 fastjar amd64 2:0.98-6+b1 [81,0 kB]
Réception de:16 http://cdn-fastly.deb.debian.org/debian stretch/main i386 gtk2-engines-murrine i386 0.98.1.1-6 [98,8 kB]
Réception de:17 http://cdn-fastly.deb.debian.org/debian stretch/main amd64 jarwrapper all 0.59 [17,9 kB]
Réception de:18 http://cdn-fastly.deb.debian.org/debian stretch/main i386 libtdb1 i386 1.3.11-2 [47,8 kB]
Réception de:19 http://cdn-fastly.deb.debian.org/debian stretch/main i386 libvorbisfile3 i386 1.3.5-4+deb9u2 [27,5 kB]
Réception de:20 http://cdn-fastly.deb.debian.org/debian stretch/main i386 libcanberra0 i386 0.30-3 [40,3 kB]
Réception de:21 http://cdn-fastly.deb.debian.org/debian stretch/main i386 libcanberra-gtk0 i386 0.30-3 [15,8 kB]
Réception de:22 http://cdn-fastly.deb.debian.org/debian stretch/main i386 libcanberra-gtk-module i386 0.30-3 [17,3 kB]
Réception de:23 http://cdn-fastly.deb.debian.org/debian stretch/main i386 libgnome-keyring0 i386 3.12.0-1+b2 [91,0 kB]
Réception de:24 http://cdn-fastly.deb.debian.org/debian stretch/main i386 libnss-mdns i386 0.10-8 [25,1 kB]
Réception de:25 http://cdn-fastly.deb.debian.org/debian stretch/main i386 libqt4-designer i386 4:4.8.7+dfsg-11 [3 836 kB]
Réception de:26 http://cdn-fastly.deb.debian.org/debian stretch/main i386 libqt4-qt3support i386 4:4.8.7+dfsg-11 [1 200 kB]
Réception de:27 http://cdn-fastly.deb.debian.org/debian stretch/main i386 libxpm4 i386 1:3.5.12-1 [50,9 kB]
Réception de:28 http://cdn-fastly.deb.debian.org/debian stretch/main i386 libxaw7 i386 2:1.0.13-1+b2 [209 kB]
Réception de:29 http://cdn-fastly.deb.debian.org/debian stretch/main i386 libxslt1.1 i386 1.1.29-2.1 [244 kB]
49,3 Mo réceptionnés en 7s (6 841 ko/s)                                        
Extraction des modèles depuis les paquets : 100%
Préconfiguration des paquets...
Sélection du paquet libdaemon0:amd64 précédemment désélectionné.
(Lecture de la base de données... 214734 fichiers et répertoires déjà installés.)
Préparation du dépaquetage de .../libdaemon0_0.14-6_amd64.deb ...
Dépaquetage de libdaemon0:amd64 (0.14-6) ...
Sélection du paquet libdvdcss2:amd64 précédemment désélectionné.
Préparation du dépaquetage de .../libdvdcss2_1.4.0-dmo1~bpo8+1_amd64.deb ...
Dépaquetage de libdvdcss2:amd64 (1.4.0-dmo1~bpo8+1) ...
Sélection du paquet oracle-java8-installer précédemment désélectionné.
Préparation du dépaquetage de .../oracle-java8-installer_8u191-1~webupd8~1_all.deb ...
Dépaquetage de oracle-java8-installer (8u191-1~webupd8~1) ...
Paramétrage de oracle-java8-installer (8u191-1~webupd8~1) ...
No /var/cache/oracle-jdk8-installer/wgetrc file found.
Creating /var/cache/oracle-jdk8-installer/wgetrc and
using default oracle-java8-installer wgetrc settings for it.
Downloading Oracle Java 8...
--2019-01-15 20:50:15--  http://download.oracle.com/otn-pub/java/jdk/8u191-b12/2787e4a523244c269598db4e85c51e0c/jdk-8u191-linux-x64.tar.gz
Résolution de download.oracle.com (download.oracle.com)… 23.215.26.68
Connexion à download.oracle.com (download.oracle.com)|23.215.26.68|:80… connecté.
requête HTTP transmise, en attente de la réponse… 302 Moved Temporarily
Emplacement : https://edelivery.oracle.com/otn-pub/java/jdk/8u191-b12/2787e4a523244c269598db4e85c51e0c/jdk-8u191-linux-x64.tar.gz [suivant]
--2019-01-15 20:50:15--  https://edelivery.oracle.com/otn-pub/java/jdk/8u191-b12/2787e4a523244c269598db4e85c51e0c/jdk-8u191-linux-x64.tar.gz
Résolution de edelivery.oracle.com (edelivery.oracle.com)… 2a02:26f0:b8:299::366, 2a02:26f0:b8:29c::366, 104.66.109.25
Connexion à edelivery.oracle.com (edelivery.oracle.com)|2a02:26f0:b8:299::366|:443… connecté.
requête HTTP transmise, en attente de la réponse… 302 Moved Temporarily
Emplacement : http://download.oracle.com/otn-pub/java/jdk/8u191-b12/2787e4a523244c269598db4e85c51e0c/jdk-8u191-linux-x64.tar.gz?AuthParam=1547581935_293196af85d30c9d0e5a333f00fa103e [suivant]
--2019-01-15 20:50:15--  http://download.oracle.com/otn-pub/java/jdk/8u191-b12/2787e4a523244c269598db4e85c51e0c/jdk-8u191-linux-x64.tar.gz?AuthParam=1547581935_293196af85d30c9d0e5a333f00fa103e
Connexion à download.oracle.com (download.oracle.com)|23.215.26.68|:80… connecté.
requête HTTP transmise, en attente de la réponse… 301 Moved Permanently
Emplacement : https://download.oracle.com/otn-pub/java/jdk/8u191-b12/2787e4a523244c269598db4e85c51e0c/jdk-8u191-linux-x64.tar.gz?AuthParam=1547581935_293196af85d30c9d0e5a333f00fa103e [suivant]
--2019-01-15 20:50:15--  https://download.oracle.com/otn-pub/java/jdk/8u191-b12/2787e4a523244c269598db4e85c51e0c/jdk-8u191-linux-x64.tar.gz?AuthParam=1547581935_293196af85d30c9d0e5a333f00fa103e
Connexion à download.oracle.com (download.oracle.com)|23.215.26.68|:443… connecté.
requête HTTP transmise, en attente de la réponse… 404 Not Found
2019-01-15 20:50:15 erreur 404 : Not Found.

download failed
Oracle JDK 8 is NOT installed.
dpkg: erreur de traitement du paquet oracle-java8-installer (--configure) :
 le sous-processus script post-installation installé a retourné une erreur de sortie d'état 1
Des erreurs ont été rencontrées pendant l'exécution :
 oracle-java8-installer
E: Sub-process /usr/bin/dpkg returned an error code (1)
Les paquets suivants n'ont pas été correctement installés :
activites-jclic-primtux
appliplanet-primtux
ardora-primtux
atlas-houot-primtux
clicmenu-maxi-primtux
clicmenu-mini-primtux
clicmenu-super-primtux
exercices-beaunis-primtux
exercices-free-primtux
exooos-aleccor-primtux
flash-primtux
gcompris-qt-primtux
geogebra5
instrumentpoche-primtux
iqpuzzle
jclicpuzzle-primtux
jecompte-primtux
jelisavecbiba-primtux
kiwix-vikidia-primtux
lacourseauxnombres-primtux
le-conjugueur-linux
matou-matheux-primtux
oracle-java8-set-default
pepit-primtux
photofiltre-primtux
polices-ecole-primtux
primaths-primtux
raconte-moi-primtux
scratch2-primtux
tbisuite-primtux
tuxbot-primtux
xnview

Pour résoudre le problème, vous pouvez :
   - relancer l'installation complète 
ou
   - installer indidivuellement les paquets manquants.
administrateur@primtux:~$ 

Dernière modification par ideefixe (15-01-2019 21:51:20)

Hors ligne

#2 15-01-2019 21:55:31

Steph
Administrateur
Inscription : 03-06-2015
Messages : 5 591

Re : installation logiciels non libres bloquée

Tu n'as pas internet.

Hors ligne

#3 15-01-2019 22:04:52

ideefixe
Modérateur
Lieu : Bourges
Inscription : 04-06-2015
Messages : 3 046

Re : installation logiciels non libres bloquée

La connexion Internet est active, car j'ai posté le message depuis l'ordinateur sur lequel je veux installer les logiciels non libres.

oracle-java8 ne veut pas s'installer.

Dernière modification par ideefixe (15-01-2019 22:05:25)

Hors ligne

#4 15-01-2019 22:07:14

Philippe Dpt35
Administrateur
Lieu : Ille-et-Vilaine
Inscription : 28-10-2015
Messages : 2 876
Site Web

Re : installation logiciels non libres bloquée

Du coup, ça me permet de voir que j'ai bégayé dans mon message d'erreur dans le script d'installation:
- installer indidivuellement les paquets manquants.

C'est bêbête !  lol

Hors ligne

#5 15-01-2019 22:32:43

Steph
Administrateur
Inscription : 03-06-2015
Messages : 5 591

Re : installation logiciels non libres bloquée

Pour java c'est pas la première fois. Patience, le mainteneur va faire ce qu'il faut.

Hors ligne

#6 15-01-2019 22:41:31

ideefixe
Modérateur
Lieu : Bourges
Inscription : 04-06-2015
Messages : 3 046

Re : installation logiciels non libres bloquée

D'accord. Il faut donc attendre.

Avec PrimTux4-Debian9-AMD64-DG, installer uniquement les logiciels outils :

[sudo] Mot de passe de administrateur : 
Atteint:1 http://ppa.launchpad.net/jclic/master/ubuntu trusty InRelease
Atteint:2 http://depot.primtux.fr/repo/debs PrimTux2-Stretch InRelease         
Atteint:3 http://ppa.launchpad.net/webupd8team/java/ubuntu trusty InRelease    
Atteint:5 http://depot.primtux.fr/repo/debs PrimTux2 InRelease                 
Ign:4 http://cdn-fastly.deb.debian.org/debian stretch InRelease
Atteint:6 http://cdn-fastly.deb.debian.org/debian stretch Release
Lecture des listes de paquets... Fait
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
Paquets suggérés :
  binfmt-support visualvm ttf-baekmuk | ttf-unfonts | ttf-unfonts-core
  ttf-kochi-gothic | ttf-sazanami-gothic ttf-kochi-mincho
  | ttf-sazanami-mincho ttf-arphic-uming firefox | firefox-2 | iceweasel
  | mozilla-firefox | iceape-browser | mozilla-browser | epiphany-gecko
  | epiphany-webkit | epiphany-browser | galeon | midbrowser
  | moblin-web-browser | xulrunner | xulrunner-1.9 | konqueror
  | chromium-browser | midori | google-chrome
Paquets recommandés :
  gsfonts-x11
Les NOUVEAUX paquets suivants seront installés :
  appliplanet-primtux ardora-primtux flash-primtux instrumentpoche-primtux
  libdvdcss2 oracle-java8-installer oracle-java8-set-default
  photofiltre-primtux polices-ecole-primtux webstrict-primtux xnview
0 mis à jour, 11 nouvellement installés, 0 à enlever et 0 non mis à jour.
Il est nécessaire de prendre 98,1 Mo dans les archives.
Après cette opération, 390 Mo d'espace disque supplémentaires seront utilisés.
Réception de:1 http://ppa.launchpad.net/webupd8team/java/ubuntu trusty/main i386 oracle-java8-installer all 8u191-1~webupd8~1 [33,1 kB]
Réception de:2 http://depot.primtux.fr/repo/debs PrimTux2/main i386 libdvdcss2 i386 1.3.0-dmo1 [46,8 kB]
Réception de:3 http://ppa.launchpad.net/webupd8team/java/ubuntu trusty/main i386 oracle-java8-set-default all 8u191-1~webupd8~1 [6 968 B]
Réception de:4 http://depot.primtux.fr/repo/debs PrimTux2/main i386 flash-primtux i386 1.0.0 [4 967 kB]
Réception de:5 http://depot.primtux.fr/repo/debs PrimTux2/main i386 appliplanet-primtux i386 1.0.2 [18,4 MB]
Réception de:6 http://depot.primtux.fr/repo/debs PrimTux2/main i386 ardora-primtux i386 1.2.1 [12,7 MB]
Réception de:7 http://depot.primtux.fr/repo/debs PrimTux2/main i386 instrumentpoche-primtux i386 1.1.1 [287 kB]
Réception de:8 http://depot.primtux.fr/repo/debs PrimTux2-Stretch/main i386 photofiltre-primtux all 1.0.3 [1 643 kB]
Réception de:9 http://depot.primtux.fr/repo/debs PrimTux2/main i386 polices-ecole-primtux i386 1.1.2 [1 201 kB]
Réception de:10 http://depot.primtux.fr/repo/debs PrimTux2/main i386 webstrict-primtux i386 1.5 [175 kB]
Réception de:11 http://depot.primtux.fr/repo/debs PrimTux2-Stretch/main i386 xnview i386 0.89 [58,7 MB]
98,1 Mo réceptionnés en 11s (8 845 ko/s)                                       
Préconfiguration des paquets...
Sélection du paquet libdvdcss2:i386 précédemment désélectionné.
(Lecture de la base de données... 197660 fichiers et répertoires déjà installés.)
Préparation du dépaquetage de .../libdvdcss2_1.3.0-dmo1_i386.deb ...
Dépaquetage de libdvdcss2:i386 (1.3.0-dmo1) ...
Sélection du paquet oracle-java8-installer précédemment désélectionné.
Préparation du dépaquetage de .../oracle-java8-installer_8u191-1~webupd8~1_all.deb ...
Dépaquetage de oracle-java8-installer (8u191-1~webupd8~1) ...
Paramétrage de oracle-java8-installer (8u191-1~webupd8~1) ...
No /var/cache/oracle-jdk8-installer/wgetrc file found.
Creating /var/cache/oracle-jdk8-installer/wgetrc and
using default oracle-java8-installer wgetrc settings for it.
Downloading Oracle Java 8...
--2019-01-15 21:38:11--  http://download.oracle.com/otn-pub/java/jdk/8u191-b12/2787e4a523244c269598db4e85c51e0c/jdk-8u191-linux-i586.tar.gz
Résolution de download.oracle.com (download.oracle.com)… 23.212.224.188
Connexion à download.oracle.com (download.oracle.com)|23.212.224.188|:80… connecté.
requête HTTP transmise, en attente de la réponse… 302 Moved Temporarily
Emplacement : https://edelivery.oracle.com/otn-pub/java/jdk/8u191-b12/2787e4a523244c269598db4e85c51e0c/jdk-8u191-linux-i586.tar.gz [suivant]
--2019-01-15 21:38:11--  https://edelivery.oracle.com/otn-pub/java/jdk/8u191-b12/2787e4a523244c269598db4e85c51e0c/jdk-8u191-linux-i586.tar.gz
Résolution de edelivery.oracle.com (edelivery.oracle.com)… 2a02:26f0:b8:29c::366, 2a02:26f0:b8:29f::366, 104.124.197.93
Connexion à edelivery.oracle.com (edelivery.oracle.com)|2a02:26f0:b8:29c::366|:443… connecté.
requête HTTP transmise, en attente de la réponse… 302 Moved Temporarily
Emplacement : http://download.oracle.com/otn-pub/java/jdk/8u191-b12/2787e4a523244c269598db4e85c51e0c/jdk-8u191-linux-i586.tar.gz?AuthParam=1547584811_b806f100f5be2dfc8b48b792b5e8a52d [suivant]
--2019-01-15 21:38:12--  http://download.oracle.com/otn-pub/java/jdk/8u191-b12/2787e4a523244c269598db4e85c51e0c/jdk-8u191-linux-i586.tar.gz?AuthParam=1547584811_b806f100f5be2dfc8b48b792b5e8a52d
Connexion à download.oracle.com (download.oracle.com)|23.212.224.188|:80… connecté.
requête HTTP transmise, en attente de la réponse… 301 Moved Permanently
Emplacement : https://download.oracle.com/otn-pub/java/jdk/8u191-b12/2787e4a523244c269598db4e85c51e0c/jdk-8u191-linux-i586.tar.gz?AuthParam=1547584811_b806f100f5be2dfc8b48b792b5e8a52d [suivant]
--2019-01-15 21:38:12--  https://download.oracle.com/otn-pub/java/jdk/8u191-b12/2787e4a523244c269598db4e85c51e0c/jdk-8u191-linux-i586.tar.gz?AuthParam=1547584811_b806f100f5be2dfc8b48b792b5e8a52d
Connexion à download.oracle.com (download.oracle.com)|23.212.224.188|:443… connecté.
requête HTTP transmise, en attente de la réponse… 404 Not Found
2019-01-15 21:38:13 erreur 404 : Not Found.

download failed
Oracle JDK 8 is NOT installed.
dpkg: erreur de traitement du paquet oracle-java8-installer (--configure) :
 le sous-processus script post-installation installé a retourné une erreur de sortie d'état 1
Des erreurs ont été rencontrées pendant l'exécution :
 oracle-java8-installer
E: Sub-process /usr/bin/dpkg returned an error code (1)
Les paquets suivants n'ont pas été correctement installés :
appliplanet-primtux
ardora-primtux
flash-primtux
instrumentpoche-primtux
oracle-java8-set-default
photofiltre-primtux
polices-ecole-primtux
webstrict-primtux
xnview

Pour résoudre le problème, vous pouvez :
   - relancer l'installation complète 
ou
   - installer indidivuellement les paquets manquants.
administrateur@primtux:~$ 

Hors ligne

#7 30-04-2019 21:44:16

lebardix
Membre
Inscription : 26-04-2016
Messages : 188

Re : installation logiciels non libres bloquée

bonjour

A-t-on des nouvelles à ce propos

Une solution de contournement en installant directement depuis le site oracle est-elle envisageable ?

Hors ligne

#8 30-04-2019 21:50:54

Steph
Administrateur
Inscription : 03-06-2015
Messages : 5 591

Re : installation logiciels non libres bloquée

Terminé cette histoire, en mettant à jour on a le java libre.

Hors ligne

#9 30-04-2019 22:42:36

lebardix
Membre
Inscription : 26-04-2016
Messages : 188

Re : installation logiciels non libres bloquée

Ok,
Est-ce que la page d'accueil comportant les liens d'installations supplémentaires a été mise à jour,
et quid de flash (nécessaire notamment pour openboard)

Hors ligne

#10 30-04-2019 23:22:40

Steph
Administrateur
Inscription : 03-06-2015
Messages : 5 591

Re : installation logiciels non libres bloquée

oui.

Hors ligne

#11 30-04-2019 23:28:36

lebardix
Membre
Inscription : 26-04-2016
Messages : 188

Re : installation logiciels non libres bloquée

je chipote :  ...il y a tjs
- installer les outils non-libres (flash, java....) 200Mo

Dernière modification par lebardix (30-04-2019 23:29:06)

Hors ligne

#12 30-04-2019 23:31:15

lebardix
Membre
Inscription : 26-04-2016
Messages : 188

Re : installation logiciels non libres bloquée

MERCI

Hors ligne

#13 30-04-2019 23:33:45

Steph
Administrateur
Inscription : 03-06-2015
Messages : 5 591

Re : installation logiciels non libres bloquée

Le mot y est mais... Flash fait toujours partie de l'installation (à vérifier sous Debian le matou matheux calcul mental hors ligne qui ne s'exécute pas sous le firefox d'ubuntu mais la Debian a firefox esr...) et oracle java n'est plus indispensable car supprimé des dépendances suite à sa politique de mise à disposition changée le 16 avril. remplacé par openjdk qui semble bien s'en sortir, notamment sous la course aux nombres, pour laquelle on n'avait pas de son sous une ancienne version.

Hors ligne

#14 01-05-2019 00:02:16

lebardix
Membre
Inscription : 26-04-2016
Messages : 188

Re : installation logiciels non libres bloquée

Pour le matou matheux, il faut le plugin adobe et comme en sus il est ancien (26.0) firefox demande sa mise à jour
sans cela il faut l'autoriser en cliquant sur le lien "activer Adobe Flash"  et cela semble fonctionner

d'ailleurs les animations flash du matou matheux fonctionnent bien dans openboard

Hors ligne

#15 01-05-2019 00:12:13

Philippe Dpt35
Administrateur
Lieu : Ille-et-Vilaine
Inscription : 28-10-2015
Messages : 2 876
Site Web

Re : installation logiciels non libres bloquée

Matou matheux fonctionne bien sans Adobe flash. Il a été adapté pour le Raspberry en remplaçant flash-primtux par browser-plugin-gnash dans les dépendances.

Hors ligne

#16 01-05-2019 09:26:35

Steph
Administrateur
Inscription : 03-06-2015
Messages : 5 591

Re : installation logiciels non libres bloquée

Dans ce cas il faut aussi voir ce que donne les autres applications nécesstant flash avec ce plugin.

Hors ligne

#17 01-05-2019 11:09:52

Philippe Dpt35
Administrateur
Lieu : Ille-et-Vilaine
Inscription : 28-10-2015
Messages : 2 876
Site Web

Re : installation logiciels non libres bloquée

En reprenant mes notes sur le RPi, pour les logiciels complémentaires utilisant flash il y a, en plus de matou-matheux :
pepit-primtux
primaths-primtux
instrumentpoche-primtux
appliplanet-primtux

Tous ces paquets ont été refaits pour le RPi avec browser-plugin-gnash en remplacement de flash-primtux dans les dépendances. Et ils fonctionnent.

Hors ligne

#18 04-05-2019 10:12:36

chti5933
Modérateur
Lieu : WAVRIN Nord
Inscription : 31-10-2017
Messages : 300
Site Web

Re : installation logiciels non libres bloquée

Philippe Dpt35 a écrit :

En reprenant mes notes sur le RPi, pour les logiciels complémentaires utilisant flash il y a, en plus de matou-matheux :
pepit-primtux
primaths-primtux
instrumentpoche-primtux
appliplanet-primtux

Tous ces paquets ont été refaits pour le RPi avec browser-plugin-gnash en remplacement de flash-primtux dans les dépendances. Et ils fonctionnent.

bonjour,

                  peut être n'ai je pas tout compris mais est ce que ce dont vous parlez serait une solution pour qu'avec matoumatheux le calcul mental Cp / cE1 ne fonctionne pas comme discuté ici https://forum.primtux.fr/viewtopic.php?id=1693 #2

                      à savoir browser-plugin-gnash à la place flashprimtux???

                         Merci

Bonne fin de semaine

Pierre


les talents acquis ne nous appartiennent pas, ne les enterreront pas, faisons les fructifier par le partage!

Hors ligne

#19 04-05-2019 10:17:01

Steph
Administrateur
Inscription : 03-06-2015
Messages : 5 591

Re : installation logiciels non libres bloquée

oui mais il faut que je refasse les paquets avec les nouvelles dépendances, il ne faut donc rien changer pour l'instant.

Hors ligne

#20 04-05-2019 10:41:48

chti5933
Modérateur
Lieu : WAVRIN Nord
Inscription : 31-10-2017
Messages : 300
Site Web

Re : installation logiciels non libres bloquée

Steph a écrit :

oui mais il faut que je refasse les paquets avec les nouvelles dépendances, il ne faut donc rien changer pour l'instant.

j'avais donc bien suivi,

préviens quand tu auras pu le faire, je testerai... rien ne presse

merci

Pierre


les talents acquis ne nous appartiennent pas, ne les enterreront pas, faisons les fructifier par le partage!

Hors ligne

#21 04-05-2019 10:47:11

Philippe Dpt35
Administrateur
Lieu : Ille-et-Vilaine
Inscription : 28-10-2015
Messages : 2 876
Site Web

Re : installation logiciels non libres bloquée

Je ne garantis pas que le problème soulevé par Pierre  concernant les fichiers swf soit résolu avec browser-plugin-gnash, car je ne l'ai pas vérifié sur le RPi.

Hors ligne

#22 04-05-2019 11:34:21

Steph
Administrateur
Inscription : 03-06-2015
Messages : 5 591

Re : installation logiciels non libres bloquée

Si le calcul mental de matou matheux fonctionne c'est bon puisque c'était ça le problème. D'ailleurs il n'est plus en ligne à cause "d'un problème de sécurité". Il y a fort à parier que ce soit à cause de ces modules et des conditions d'exécution des fichiers flash de plus en plus drastiques.

Hors ligne

#23 04-05-2019 11:46:41

Steph
Administrateur
Inscription : 03-06-2015
Messages : 5 591

Re : installation logiciels non libres bloquée

@philippe, dans les paquets appliplanet, instrumentpoche, matou-matheux, pepit, primaths, est-ce que la seule différence entre les versions PC at armhf est gnash? Si oui, je n'ai qu'à les passer en all.

Hors ligne

#24 04-05-2019 12:41:50

Philippe Dpt35
Administrateur
Lieu : Ille-et-Vilaine
Inscription : 28-10-2015
Messages : 2 876
Site Web

Re : installation logiciels non libres bloquée

Oui, je n'ai fait que reconstruire les .deb en modifiant cette dépendance.

Hors ligne

#25 04-05-2019 21:09:29

Steph
Administrateur
Inscription : 03-06-2015
Messages : 5 591

Re : installation logiciels non libres bloquée

gnash ne fonctionne pas sous la version lubuntu, même en débloquant tout. Je vais tester sous Debian.

Hors ligne

Pied de page des forums